org.apache.fop.fonts.substitute

## Class FontSubstitution

- java.lang.Object
- - org.apache.fop.fonts.substitute.FontSubstitution

    public class FontSubstitution
    extends Object

Encapsulates a pair of substitution qualifiers

### Constructor Summary

Constructors
Constructor and Description
`FontSubstitution(FontQualifier fromQualifier, FontQualifier toQualifier)` Main constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`FontQualifier` `getFromQualifier()`
`FontQualifier` `getToQualifier()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FontSubstitution

    public FontSubstitution(FontQualifier fromQualifier,
                            FontQualifier toQualifier)

Main constructor

Parameters:
  `fromQualifier` - the substitution from qualifier
  `toQualifier` - the substitution to qualifier

### Method Detail

#### getFromQualifier

    public FontQualifier getFromQualifier()

Returns:
  the substitution from qualifier

#### getToQualifier

    public FontQualifier getToQualifier()

Returns:
  the substitution to qualifier

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`